Issue1728

classification
Title: comparing dict and derived dict in a list
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, kurtmckee, pjenvey, santa4nt, zyasoft
Priority: high Keywords: patch

Created on 2011-04-05.02:09:01 by kurtmckee, last changed 2014-07-01.04:04:02 by zyasoft.

Files
File name Uploaded Description Edit Remove
issue1728.py fwierzbicki, 2013-02-26.17:56:07
issue1728.patch santa4nt, 2014-06-20.01:03:05
Messages
msg6468 (view) Author: Kurt McKee (kurtmckee) Date: 2011-04-05.02:09:00
While porting feedparser to Jython (Release_2_5_2:7206) I ran into a problem with some of the unit tests and tracked it down to the following:

class A(dict): pass
A() == dict() # True
[A()] == [dict()] # False, but probably should be True

Wrapping an empty dict and an empty derived dict in a list doesn't seem like the two should compare unequally. I searched for any existing issues and found issue 1804011; this might be related.
msg6469 (view) Author: Philip Jenvey (pjenvey) Date: 2011-04-05.04:50:58
PyDictionary.equals looks like the culprit. I fixed a similar issue with sequence types in in r6291 & r6782. PyDictionary.equals probably needs to work more like PyList/Tuple's
msg8699 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.04:28:47
Target beta 4
msg8784 (view) Author: Jim Baker (zyasoft) Date: 2014-06-22.06:54:57
Fixed as of http://hg.python.org/jython/rev/946090532a2c
History
Date User Action Args
2014-07-01 04:04:02zyasoftsetstatus: pending -> closed
2014-06-22 06:54:57zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg8784
2014-06-20 01:03:06santa4ntsetfiles: + issue1728.patch
keywords: + patch
2014-06-19 05:16:50santa4ntsetnosy: + santa4nt
type: behaviour
2014-06-19 04:28:47zyasoftsetassignee: fwierzbicki ->
resolution: accepted
messages: + msg8699
2013-02-26 17:56:19fwierzbickisetversions: + Jython 2.7
2013-02-26 17:56:08fwierzbickisetfiles: + issue1728.py
2013-02-26 17:54:35fwierzbickisetpriority: urgent -> high
assignee: fwierzbicki
nosy: + fwierzbicki
2011-04-10 22:27:06pjenveysetpriority: urgent
2011-04-05 04:50:58pjenveysetnosy: + pjenvey, zyasoft
messages: + msg6469
2011-04-05 02:09:01kurtmckeecreate